# Class SnpFilter

java.lang.Object
htsjdk.variant.variantcontext.filter.SnpFilter

All Implemented Interfaces:
  `VariantContextFilter, Predicate<VariantContext>`

public class SnpFilter extends Object implements VariantContextFilter
A Predicate on VariantContexts that returns true at sites that are SNPs

## Constructor Summary

Constructors
Constructor
Description
`SnpFilter()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(VariantContext variantContext)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Predicate

`and, negate, or`

## Constructor Details

### SnpFilter

public SnpFilter()

## Method Details

### test

public boolean test(VariantContext variantContext)

Specified by:
  `test` in interface `Predicate<VariantContext>`
Parameters:
  `variantContext` - the record to examine for being a SNP
Returns:
  true if variantContext is a SNP